CDDBCMD(1)

NAME
cddbcmd - Connect to a CDDB server site and execute a simple CDDB server command.

SYNOPSIS
cddbcmd [-m mode] [-p proxyhost[:port]] [-h serverhost[:port]] [-c cgipath] [-l level] [-d] command ...

DESCRIPTION
The cddbcmd utility is a simple shell command interface to the CDDB (CD database) server. CDDB protocol commands can be sent via cddbcmd. Output from CDDB protocol commands are stripped of the status code line and then displayed on standard output. Input to CDDB protocol commands are read from standard input. Both the CDDBP or HTTP mode of CDDB server connection styles are supported. In order to use this utility, your system must be connected to the Internet, and DNS (domain name service) must be functional.

OPTIONS
cddbcmd supports the following options:

-m mode
    Specifies the mode of CDDB server connection. The mode must be either cddbp or http. The default is cddbp.

-p proxyhost[:port]
    If a proxy server must be used, this option specifies the proxy server host to connect to. The optional port argument specifies the port number, The default is port 80. This option is meaningful only when used in http mode.

-h serverhost[:port]
    Specifies the CDDB server host to connect to. The default is cddb.cddb.com The optional port argument specifies the port number, The default is port 888 for cddbp, and port 80 for http.

-c cgipath
    If http mode is used, this option specifies the path to the CDDB server CGI program. The default is /~cddb/cddb.cgi

-l level
    This specifies the CDDB protocol level to use. The default level is 3.

-d  Enable debugging diagnostics.

command
    The CDDB server command string to send to the server. Here is a non-exhaustive list of such commands:

    motd
    sites
    stat
    log
    whom
    proto (cddbp only)
    help
    cddb lscat
    cddb query
    cddb read

    Some of these commands require additional arguments. Please consult the CDDB Specifications for details about CDDB server commands. The specifications are available on the CDDB web site: http://www.cddb.com/

SEE ALSO
xmcd(1), cda(1), wm2xmcd(1),
Xmcd web site: http://metalab.unc.edu/tkan/xmcd/
CDDB web site: http://www.cddb.com/

AUTHOR
Ti Kan (ti@amb.org)
AMB Research Laboratories, Sunnyvale, CA, U.S.A.

Comments, suggestions, and bug reports are always welcome.